org.jbpm.services.task.deadlines.notifications.impl.email

## Class EmailNotificationListener

- java.lang.Object
- - org.jbpm.services.task.deadlines.notifications.impl.email.EmailNotificationListener

- All Implemented Interfaces:
    NotificationListener

      public class EmailNotificationListener
      extends Object
      implements NotificationListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmailNotificationListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `buildMapByLanguage(Map<String,List<org.kie.api.task.model.OrganizationalEntity>> map, org.kie.api.task.model.Group group, org.kie.internal.task.api.UserInfo userInfo)`
    `protected void` | `buildMapByLanguage(Map<String,List<org.kie.api.task.model.OrganizationalEntity>> map, org.kie.api.task.model.OrganizationalEntity user, org.kie.internal.task.api.UserInfo userInfo)`
    `protected List<String>` | `getAttachements(Object attachementsFromVariables)`
    `protected URL` | `getAttachemntURL(String attachment)`
    `void` | `onNotification(org.kie.internal.task.api.model.NotificationEvent event, org.kie.internal.task.api.UserInfo userInfo)` Invoked when notification is about to be sent.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EmailNotificationListener

          public EmailNotificationListener()

  - ### Method Detail

    - #### onNotification

          public void onNotification(org.kie.internal.task.api.model.NotificationEvent event,
                                     org.kie.internal.task.api.UserInfo userInfo)

      Description copied from interface: `NotificationListener`
      Invoked when notification is about to be sent.
      Specified by:
        `onNotification` in interface `NotificationListener`
      Parameters:
        `event` - notification event that includes task, notification itself and task variables
        `userInfo` - Implementation of `UserInfo` to be able to find user details such as email address

    - #### getAttachemntURL

          protected URL getAttachemntURL(String attachment)
                                  throws MalformedURLException

      Throws:
        `MalformedURLException`

    - #### getAttachements

          protected List<String> getAttachements(Object attachementsFromVariables)

    - #### buildMapByLanguage

          protected void buildMapByLanguage(Map<String,List<org.kie.api.task.model.OrganizationalEntity>> map,
                                            org.kie.api.task.model.Group group,
                                            org.kie.internal.task.api.UserInfo userInfo)

    - #### buildMapByLanguage

          protected void buildMapByLanguage(Map<String,List<org.kie.api.task.model.OrganizationalEntity>> map,
                                            org.kie.api.task.model.OrganizationalEntity user,
                                            org.kie.internal.task.api.UserInfo userInfo)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.